javax.print

## Interface FlavorException

-     public interface FlavorException

  Interface FlavorException is a mixin interface which a subclass of `PrintException` can implement to report an error condition involving a doc flavor or flavors (class `DocFlavor`). The Print Service API does not define any print exception classes that implement interface FlavorException, that being left to the Print Service implementor's discretion.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocFlavor[]` | `getUnsupportedFlavors()` Returns the unsupported flavors.

- - ### Method Detail

    - #### getUnsupportedFlavors

          DocFlavor[] getUnsupportedFlavors()

      Returns the unsupported flavors.
      Returns:
        the unsupported doc flavors.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.